EndpointsCogents

Get cogent record

GET/v2/cogents/{cogent_id}/c/{collection}/{key}

Returns a record as it is now, or as it was at revision rev. A deleted record is not found.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

cogent_id*Cogent Id

Cogent ID (its player ID).

Match^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
collection*Collection

Collection name.

key*Key

Record key. It may contain /.

Query Parameters

rev?|

Revision to return instead of the latest.

curl -X GET "https://softmax.com/api/observatory/v2/cogents/string/c/string/string"
{  "collection": "string",  "key": "string",  "rev": 0,  "at": "2019-08-24T14:15:22Z",  "author": {    "role": "coach",    "agent": "string"  },  "message": "string",  "deleted": true,  "body": {}}